using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
	class WaveBombStageObject : BombStageObject
	{
		public WaveBombStageObject(int x, int y, Stage stg, IStageObject character, bool right, bool strong, int distance) : base(x, y, stg, character)
		{
			string imgName = "8";
			KilledByBlock = true;		//trueにするとブロックで消滅
			KilledByCharacter = false;	//trueにするとキャラを突き抜けない
			Damage = strong ? 2 : 1;				//敵に与えるダメージ
			Visibility = true;			//falseにすると非表示に

			//サイズ
			Width = 32;
			Height = 32;

			//当たり判定
			Range = new FreeRectangleCollideRange(this);
			((FreeRectangleCollideRange)Range).Rect = new System.Drawing.Rectangle(0, 0, 32, 32);

			//移動速度
			SpeedY = 0;
			SpeedX = right ? 10 : -10;

			TTL = distance * 32 / Math.Abs(SpeedX);					//存在時間(fps)
			sound = "";



			//表示する画像
			if(strong){
				imgName += right ? "12-2" : "12-1";
			} else{
				imgName += right ? "11-2" : "11-1";
			}
			picture = ImageManager.Search(imgName);
		}
	}
}
